package com.yidianling.consultant.api

import android.app.Activity
import com.alibaba.android.arouter.facade.template.IProvider
import com.yidianling.consultant.bean.Keyworks

/**
 * Created by xj on 2019/11/14.
 */
interface IConsultantService: IProvider {
    // 显示咨询助理弹框
    fun showConsultAssistantDialog(activity: Activity)
    // 隐藏咨询助理弹框
    fun hideConsultAssistantDialog()

    fun expertSearchIntent(activity: android.app.Activity, category: kotlin.Int, showType: kotlin.Int, isInitShowHot: kotlin.Boolean): android.content.Intent

    fun getHotSearch(): kotlin.collections.MutableList<Keyworks>

    fun setHotSearch(hotSearch: kotlin.collections.MutableList<Keyworks>): kotlin.Unit

}